About Gantt charts

Click to show or hide information. Show me an example

Gantt charts are bar charts that show activities and their durations. Gantt charts are used for scheduling, planning, and managing projects.

Create a Gantt chart

Create a Gantt chart from a data file


Create a Gantt chart

Click to show or hide information. Show me an example

  1. On the File menu, point to New, point to Project Schedule, and then click Gantt Chart.
  2. On the Date tab, type the number of tasks you want to start with, the time units you want displayed, and date range for the project.

Optionally, click the Format tab, choose the options you want for the appearance of the task bars, milestones, and summary bars.

Click to show or hide information. Tip

You can change the format options at any time. On the Gantt chart menu, click Options, and then click the Format tab.

  3. Replace default task names with the task names relevant to your project, and replace task start dates, finish dates, and durations.

Click to show or hide information. Replace task names

In your Gantt chart, under Task Name, click the cell that contains the task you want to rename, and then type.

Click to show or hide information. Replace task dates

In your Gantt chart, click the cell that contains the date you want to change, and then type the new date.

Note You cannot edit the date for a summary task. Summary task dates change only when you change the date of one or more of the tasks indented below the summary task.

Click to show or hide information. Tip

You can also change the start date by dragging the task bar so that its left end aligns with a new date on the timescale.

Click to show or hide information. Replace task durations

In your Gantt chart, click the cell that contains the duration you want to change, and then type the new duration. Use the following abbreviations: m for minutes, h for hours, d for days, and w for weeks.

Note Don't add a space between the number and the abbreviation. For example, to indicate a duration of 5 days, type 5d.

Click to show or hide information. Tip

You can also change a duration by selecting the task bar, and then dragging the green selection handle [image] on the right end of the task bar until it aligns with a new end date on the timescale.

  4. Add more tasks to the Gantt chart.

Click to show or hide information. How?

  1. Select the project frame by clicking the solid line that surrounds the Gantt chart.
  2. Drag down the green selection handle [image] at the lower center of the frame. New task rows are created to fill the space.
  3. Click the Task Name cell for one of the new tasks, and then type the task name.

Click to show or hide information. Tip

You can reorder the tasks in a Gantt chart by dragging the task rows within the Gantt chart frame.

  5. Add milestones to the Gantt chart.

Click to show or hide information. How?

  1. From the Gantt Chart Shapes stencil, drag a Milestone shape onto the drawing page and position it between the tasks you want the milestone to precede and follow.

Note When you add a Milestone shape to a Gantt chart, you also automatically add a task row with a duration of 0 (zero).

  2. Type a name and date for the milestone.

Click to show or hide information. Tip

You can change a task into a milestone by setting its duration to 0. Similarly, you can change a milestone into a task by setting the duration to a positive number.

  6. Create dependencies between tasks in the Gantt chart.

Click to show or hide information. How?

  1. Click to select the task bar or milestone you want to link from first, then SHIFT+click to select the shape you want to be the dependent task or milestone.
  2. Right-click one of the shapes, and then click Link Tasks.

Click to show or hide information. Tips

You can also set dependencies in the following ways:

  • Select two task bars (or task cells), and then click the Link Tasks button [image] on the Gantt Chart toolbar.
  • Select two task bars (or task cells), and then on the Gantt Chart menu, click Link Tasks.
  • Drag the control handle [image] on the right end of one task bar and glue it to a connection point [image] on the left end of the subsequent task bar.
  • Drag a Link Lines shape onto the drawing page and glue its endpoints [image] [image] to connection points [image] on two task bars.

  7. Add a title to your chart.

Click to show or hide information. How?

  1. From the Gantt Chart Shapes stencil, drag a Title shape onto the drawing page and position it on the chart.
  2. With the shape selected, type the title text you want.


Gantt Chart Options dialog box (Date tab)

Choose the dates and units you want to use on the Gantt chart timescale. When you start a new Gantt chart, you can also choose the number of tasks on this tab.

Click to show or hide information. Number Of Tasks

Type the number of tasks you want to start with in your Gantt chart. You can add more tasks later.

Click to show or hide information. Major Units

Select the largest unit, such as years or months, that you want to use in your timescale. Major units appear above the minor units on the Gantt chart timescale.

Note The major and minor units largely determine the width of your Gantt chart. As a guideline, choose the major unit that best expresses the total length of your project, and choose a minor unit one smaller than the major unit. For example, for a two-year project, choose years for the major unit and months for the minor unit.

Click to show or hide information. Minor Units

Select the smallest unit, such as days or hours, that you want to use in your timescale. Minor units appear below the major units on the Gantt chart timescale.

Note The major and minor units largely determine the width of your Gantt chart. As a guideline, choose the major unit that best expresses the total length of your project, and choose a minor unit one smaller than the major unit. For example, for a two-year project, choose years for the major unit and months for the minor unit.

Click to show or hide information. Format

Select the time units you want to display in the Duration column in your Gantt chart.

Click to show or hide information. Start Date

Type or select the date and time when your project begins. The date you specify will be the date your Gantt chart timescale begins.

Note You can select a start or finish time only when Hours is specified for Minor units.

Click to show or hide information. Finish Date

Type or select the last date and time you want to view on the Gantt chart timescale. If you know your project end date, you can choose that here. If necessary, you can extend the timescale later.

Note You can select a start or finish time only when Hours is specified for Minor units.


Gantt Chart Options dialog box (Format tab)

Choose the formatting options you want for task bars, milestones, and summary bars in a Gantt chart.

Note You can adjust formatting options at any time. On the Gantt Chart menu, click Options, and then choose the options you want.

Click to show or hide information. Start Shape

Select the type of shape you want to appear at the beginning of all task bars.

Click to show or hide information. Finish Shape

Select the type of shape you want to appear at the end of all task bars.

Click to show or hide information. Left Label

Select the column heading text you want to appear as a label at the left of all task bars.

Click to show or hide information. Right Label

Select the column heading text you want to appear as a label at the right of all task bars.

Click to show or hide information. Inside Label

Select the column heading text you want to appear as a label inside all task bars.

Click to show or hide information. Shape

Select the type of shape you want to use to represent all milestones.

Click to show or hide information. Start

Select the type of shape you want to appear at the beginning of all summary task bars.

Click to show or hide information. Finish

Select the type of shape you want to appear at the end of all summary task bars.


Insert Column dialog box (Gantt chart)

Click to show or hide information. Column Type list

Select a predefined column type or user-defined column type. (Column types are listed alphabetically, so user-defined columns appear at the end of the list.)

Note If you add more than one user-defined text column, select a different column number each time. For example, the first time you add a column, select User Defined Text 1 from the Column type list. The second time you add a column, select User Defined Text 2.

Click to show or hide information. Entering data in Gantt chart columns

This table shows the type of data you can enter into each type of column, and the pattern you use to input the data.

Column type | Data type | Input pattern
% Complete | Decimal | X[.X][%]
Actual Duration | Decimal | X[.X][u] For units, use d (days), m (minutes), h (hours), or w (weeks).
Actual Finish | Date | XX/XX/XXXX
Actual Start | Date | XX/XX/XXXX
Duration | Decimal | X[.X][u] For units, use d (days), m (minutes), h (hours), or w (weeks).
Finish | Date | XX/XX/XXXX
ID | Integer | Will not accept input.
Outline Level | Integer (greater than 0) | X
Resource Names | Text | A*
Start | Date | XX/XX/XXXX
Task Name | Text | A*
Task Notes | Text | A*
User Defined Decimal | Decimal | X[.X][%]
User Defined Duration | Decimal | X[.X][u]
User Defined Number | Integer | X
User Defined Text 1-5 | Text | A*


Configure Working Time dialog box

Click to show or hide information. Working Days

Select check boxes to designate working days. Clear the check boxes of the days you don't want to include as working days.

Click to show or hide information. Working Time

Type start and end times to specify the hours in a working day.


About selecting delimiters

Click to show or hide information. Text Qualifier

Specifies punctuation used to identify text fields in your data file. The text qualifier is inserted at the beginning and end of a field to indicate that all of the text between them is one field.

In the following example, quotation marks are used as the text qualifier and commas are used as the text delimiter:

"Read, comment, and edit documents", 11/15/2002

Click to show or hide information. Start Import At Row #

Specifies the row number at which you want the wizard to begin reading your data file. If your data file includes one or more rows of data you do not want the wizard to process, such as headings or notes, type the number of the first row of project data here.

Click to show or hide information. Delimiters

Specifies the character used to separate columns of data in your text file.

In the following example, quotation marks are used as the text qualifier and commas are used as the text delimiter:

"Read, comment, and edit documents", 11/15/2002

Click to show or hide information. Preview

Displays a preview of your data columns based on the text qualifier and delimiter settings you specified.


About mapping fields from your data file

Click to show or hide information. Column Mapping

Displays the field names in your data file, the field names they correspond to in Visio project schedule terminology, and the format for the field name.

Notes

  • For a Gantt chart, the following fields are required: Task # (though required, this field does not display in your drawing), Task Name, Start Date, and either Finish Date or Duration.
  • For a timeline, the following fields are required: Task Name, Start Date, and either Finish Date or Duration.

Click to show or hide information. Change Mapping

Opens a dialog box in which you can map the field name you selected under Column mapping.

Click to show or hide information. Column Preview

Displays a preview of the first several lines from your data file. The mapped column name appears in parentheses in the heading bar of the Column preview area, if it is different from the field name.

Click to show or hide information. First Row Contains Column Header

If selected, specifies that the first row of your data file contains headings for each column of data.

If the check box is not selected, or if there are no column headings in your data file, the column headings will appear as Column1, Column2, and so forth.


Change Mapping dialog box

Click to show or hide information. Column Name

Displays the field name you have selected under Column mapping.

Click to show or hide information. Select A Project Schedule Field For This Column

Lists available project schedule fields you can map your column data field to.

Click to show or hide information. Column Data Format

Specifies the format used for the mapped project schedule field.

Note For column fields that are not mapped, Do not import (skip) is selected by default. To change this setting, click Text or Date, and then select the project schedule field you want to use under Select a project schedule field for this column.


Create a Gantt chart from a data file

  1. On the File menu, point to New, point to Project Schedule, click Gantt Chart, and then click Cancel.
  2. On the Gantt Chart menu, click Import.
  3. On the first wizard page, click Information that's already stored in a file.
  4. Follow the wizard pages to create a Gantt chart from a data file that you specify.

Notes

  • To import data from Microsoft Project, you must have Project 2000 or later installed on your machine.
  • To import data from Microsoft Excel, you must have Excel 95 or later installed on your machine.

Click to show or hide information. Tips

  • Gantt charts you import to a currently open drawing may have different colors than your original drawing. To change the color scheme for your new drawing, on the Tools menu, point to Color Schemes, and choose the color scheme you want.
  • You can also use the Import Project Data Wizard to create a new Microsoft Excel or text data file from which to generate a chart. To do this, on the first page of the wizard, select Information that I enter using the wizard, and then follow the wizard pages to create a Gantt chart from your new data.


Run the Import Project Data Wizard from the command line

Using Microsoft Visio 2002, you can develop a solution that allows users to quickly generate a Gantt chart or timeline from a data file without having to work through the Import Project Data Wizard pages.

To develop the solution, create a macro or executable file that runs the Import Project Data Wizard from the command line. The macro or executable file must include the statement:

_Project Import.exe <arguments>

where the arguments specify how to build the project schedule. The possible arguments are listed below. If an argument name includes spaces, put the argument in quotes.

Click to show or hide information. Command arguments for both Gantt charts and timelines

Argument

Description

Possible Values

/USE-LAST-VALUES

Reads values chosen by the last person who used the Import Project Data Wizard. If this argument is specified, all subsequent arguments are ignored.

N/A

/INPUT-TYPE=<value>

Specifies the file format you want the wizard to read.

MSPROJECT (Default)

EXCEL

TEXT

MPX

/INPUT-FILENAME=<value>

Required. Specifies the data file name you want the wizard to read. If the filename includes spaces, put the name in quotes.

N/A

/CREATE-TIMELINE

Specifies the drawing type you want the wizard to generate. If timeline is not specified, Gantt chart will be specified by default.

N/A

/SHOW TASKS=<value> (,<value> …)

Specifies the task types you want the wizard to use for your project schedule.

ALL (Default)

TOPLVL

MILESTONE

SUMMARY

/TEXTQUALIFIER=<value>

Specifies punctuation used to qualify text in your data file. For example, if the specified text qualifier is ", then the wizard reads text enclosed in quotation marks as text data.

This argument will be ignored if the INPUT-TYPE is not TEXT.

"

' (Default)

/DELIMITER=<value>

Specifies the character used to separate columns of data in your text file.

This argument will be ignored if the INPUT-TYPE is not TEXT.

<tab> (Default)

;

,

/IMPORT-START-ROW=<value>

Specifies the row number the wizard uses to begin reading your data file. The wizard approaches your data file as if it has one row of headings at the top of the file. If your data file has more than one row of column headings, or includes one or more empty rows between the top row and the first row that contains data, type the number of rows between the top row and the first row of data here.

This argument will be ignored if the INPUT-TYPE is not TEXT.

0 (Default)

/NO-COLUMN-HEADERS

Specifies column headings in the data file that the wizard can read. If you do not specify this argument, the column headers will be read from the file.

This argument will be ignored if the INPUT-TYPE is not TEXT/EXCEL.

N/A

/MAP-COLUMNS=<fld-value> (<fmt-value>) (,<fld-value> (<fmt-value>)…)

Specifies the field names in your data file, the field names they correspond to in your project schedule, and the format for the field name.

This argument will be ignored if the INPUT-TYPE is not TEXT/EXCEL.

Notes

For a Gantt chart, the following fields are required: Task #, Task Name, Start Date, and either Finish Date or Duration.

For a timeline, the following fields are required: Task Name, Start Date, and either Finish Date or Duration.

Possible values (Field):

NONE (Default)

ID

TASK#

START

FINISH

DURATION

RESOURCES

%COMPLETE

OUTLINE-LEVEL

USER-DEFINED-NUMBER

ACTUAL-FINISH

USER-DEFINED-TIME

ACTUAL-DURATION

NAME

NOTES

USER-DEFINED-TEXT1

USER-DEFINED-TEXT2

USER-DEFINED-TEXT3

USER-DEFINED-TEXT4

USER-DEFINED-TEXT5

USER-DEFINED-DECIMAL

USER-DEFINED-DURATION

DEPENDENCY

Possible values (Format):

SKIP (Default)

TEXT

MDY

DMY

YMD

DYM

YDM

Click to show or hide information. Command arguments for Gantt charts

Arguments | Description | Possible Values
/USE-LAST-VALUES | Reads values chosen by the last person who used the Import Project Data Wizard. If this argument is specified, all subsequent arguments are ignored. | N/A
/TIMESCALE-MAJORUNITS=<value> | Specifies the major units of time for your Gantt chart. | HOURS DAYS WEEKS MONTHS (Default) QUARTERS YEARS
/TIMESCALE-MINORUNITS=<values> | Specifies the minor units of time for the Gantt chart. | HOURS DAYS (Default) WEEKS MONTHS QUARTERS YEARS
/DURATION-FORMAT=<value> | Specifies the units used for duration for the Gantt chart. | HOURS DAYS WEEKS DAYSHOURS (Default) WEEKSDAYS WEEKSHOURS
/TASKBAR-START-SHAPE=<value> | Specifies the shape that indicates the start of a task. | NONE (Default) DIAMOND TRIANGLE-DOWN TRIANGLE-UP ARROW-DOWN ARROW-UP STAR CIRCLE
/TASKBAR-FINISH-SHAPE=<value> | Specifies the shape that indicates the end of a task. | NONE (Default) DIAMOND TRIANGLE-DOWN TRIANGLE-UP ARROW-DOWN ARROW-UP STAR CIRCLE
/TASKBAR-LEFT-LABEL=<value> | Specifies the text label that will display on the left side of the task bar. | NONE (Default) ID START FINISH DURATION RESOURCES %COMPLETE OUTLINE-LEVEL USER-DEFINED-NUMBER ACTUAL-START ACTUAL-FINISH USER-DEFINED-TIME ACTUAL-DURATION NAME NOTES USER-DEFINED-TEXT1 USER-DEFINED-TEXT2 USER-DEFINED-TEXT3 USER-DEFINED-TEXT4 USER-DEFINED-TEXT5 USER-DEFINED-DECIMAL USER-DEFINED-DURATION
/TASKBAR-INSIDE-LABEL=<value> | Specifies the text label that will display inside the task bar. | NONE (Default) ID START FINISH DURATION RESOURCES %COMPLETE OUTLINE-LEVEL USER-DEFINED-NUMBER ACTUAL-START ACTUAL-FINISH USER-DEFINED-TIME ACTUAL-DURATION NAME NOTES USER-DEFINED-TEXT1 USER-DEFINED-TEXT2 USER-DEFINED-TEXT3 USER-DEFINED-TEXT4 USER-DEFINED-TEXT5 USER-DEFINED-DECIMAL USER-DEFINED-DURATION
/TASKBAR-RIGHT-LABEL=<value> | Specifies text label that will display on the right side of the task bar. | NONE (Default) ID START FINISH DURATION RESOURCES %COMPLETE OUTLINE-LEVEL USER-DEFINED-NUMBER ACTUAL-START ACTUAL-FINISH USER-DEFINED-TIME ACTUAL-DURATION NAME NOTES USER-DEFINED-TEXT1 USER-DEFINED-TEXT2 USER-DEFINED-TEXT3 USER-DEFINED-TEXT4 USER-DEFINED-TEXT5 USER-DEFINED-DECIMAL USER-DEFINED-DURATION
/SUMMARYBAR-START-SHAPE=<value> | Specifies the shape used to indicate the start of the summary bar. | NONE DIAMOND TRIANGLE-DOWN (Default) TRIANGLE-UP ARROW-DOWN ARROW-UP STAR CIRCLE
/SUMMARYBAR-FINISH-SHAPE=<value> | Specifies the shape used to indicate the end of the summary bar. | NONE DIAMOND TRIANGLE-DOWN (Default) TRIANGLE-UP ARROW-DOWN ARROW-UP STAR CIRCLE
/MILESTONE-SHAPE=<value> | Specifies the shape used to indicate a milestone. | NONE DIAMOND (Default) TRIANGLE-DOWN TRIANGLE-UP ARROW-DOWN ARROW-UP STAR CIRCLE

Click to show or hide information. Command arguments for timelines

Arguments | Description | Possible Values
/USE-LAST-VALUES | Reads values chosen by the last person who used the Import Project Data Wizard. If this argument is specified, all subsequent arguments are ignored. | N/A
/TIMELINE-TYPE=<value> | Specifies the timeline shape used for the timeline drawing. | BLOCK (Default) 1-D RULER DIVIDED CYLINDRICAL CHISELED
/TL-MILESTONE-SHAPE=<value> | Specifies the shape used to indicate a milestone on the timeline drawing. | DIAMOND (Default) CIRCLE CYLINDRICAL X TRIANGLE 2TRIANGLE DAGGER LINE
/TL-INTERVAL-SHAPE=<value> | Specifies the shape used to indicate an interval of time on the timeline. | BLOCK (Default) BRACKET SQUARE CYLINDRICAL CHISELED
/TIMESCALE=<value> | Specifies the time scale unit for the timeline. | DAYS WEEKS MONTHS (Default) YEARS
/WEEK-STARTS-SUNDAY | Specifies the day on which you want the weeks to start in your timeline. If you do not specify this argument, the weeks will begin on Mondays. | N/A
/SHOW-TODAY-MARKER | Specifies the current date display on your timeline. If you do not specify this argument, the current date will not display on your timeline. | N/A
/SHOW-ELAPSED-TIME | Specifies display of the time elapsed from the beginning of the project schedule to today's date on your timeline. If you do not specify this argument, elapsed time will not display on your timeline. | N/A
/NO-STARTFINISH-DATES | Specifies the start and finish dates for the timeline shape. If you do not specify this argument, start and finish dates will not display on your timeline. | N/A
/STARTFINISH-DATE-FORMAT=<value> | Specifies the date format for start and finish date values. | Note If an argument name includes spaces, put the argument in quotes. SHORT DATE LONG DATE (Default) MMMM d, yyyy MMM d, yyyy M/d/yy M/d d MMMM, yyyy d MMM, yyyy d/M/yy d/M yy/M/d yyyy/M/d M/yy M/yyyy MMMM yyyy MMMM yy MMM yyyy MMM yy yy yyyy d MMMM MMM M" ww, yyyy ww ww/yy ww/yyyy
/SHOW-INTERIM-MARKERS | Specifies display of interim time scale markers on the timeline. | N/A
/SHOW-INTERIM-DATES | Specifies display of each day, week, month, or year time unit on the timeline for reference. This argument is valid only when /SHOW-INTERIM-MARKERS argument is specified. | N/A
/INTERIM-DATE-FORMAT=<value> | Specifies the date format for day, week, months, or year time units used for interim dates. | Note If an argument name includes spaces, put the argument in quotes. SHORT DATE (Default) LONG DATE MMMM d, yyyy MMM d, yyyy M/d/yy M/d d MMMM, yyyy d MMM, yyyy d/M/yy d/M yy/M/d yyyy/M/d M/yy M/yyyy MMMM yyyy MMMM yy MMM yyyy MMM yy yy yyyy d MMMM MMM M ww, yyyy ww ww/yy ww/yyyy
/MILESTONE-DATE-FORMAT=<value> | Specifies the date format for day, week, months, or year time units used for milestones. | Note If an argument name includes spaces, put the argument in quotes. SHORT DATE (Default) LONG DATE MMMM d, yyyy MMM d, yyyy M/d/yy M/d d MMMM, yyyy d MMM, yyyy d/M/yy d/M yy/M/d yyyy/M/d M/yy M/yyyy MMMM yyyy MMMM yy MMM yyyy MMM yy yy yyyy d MMMM MMM M ww, yyyy ww ww/yy ww/yyyy
/INTERVAL-DATE-FORMAT=<value> | Specifies the date format for day, week, months, or year time units used for intervals. | Note If an argument name includes spaces, put the argument in quotes. SHORT DATE (Default) LONG DATE MMMM d, yyyy MMM d, yyyy M/d/yy M/d d MMMM, yyyy d MMM, yyyy d/M/yy d/M yy/M/d yyyy/M/d M/yy M/yyyy MMMM yyyy MMMM yy MMM yyyy MMM yy yy yyyy d MMMM MMM M ww, yyyy ww ww/yy ww/yyyy
/NO-AUTOUPDATE-DATES | Specifies automatic update of dates on marker, milestone, and interval shapes when they are repositioned. If you do not specify this argument, dates are not updated automatically on your timeline. | N/A

Run the Import Project Data Wizard from a program using the Run method

You can also run the Import Project Data Wizard from a program using the Run method. You can use the following sample code as a guideline:

Public Const MAX_ARGSTRING_LENGTH% = 100

Sub Main()

' Read the command line

Dim strCommand As String

strCommand = Command$

' Check if the addon exists

On Error GoTo OrgDoItErrHandler

Dim objAddOn As Object

Set objAddOn = appVisio.Addons

' Run the addon (errors are handled by the addon)

On Error Resume Next

' Break up the string

Dim strCommandPart As String

Dim strCommandLeft As String

strCommandLeft = strCommand

objAddOn("GCIMP").Run ("/S-INIT")

While (Len(strCommandLeft) > 0)

strCommandPart = Left(strCommandLeft, MAX_ARGSTRING_LENGTH)

strCommandLeft = Mid(strCommandLeft, Len(strCommandPart) + 1)

objAddOn("GCIMP").Run ("/S-ARGSTR " + strCommandPart)

Wend

objAddOn("GCIMP").Run ("/S-RUN " + strCommandLeft)

Exit Sub

End Sub

Note For more information, see the online Developer Reference provided with Microsoft Visio (on the Help menu, click Developer Reference).


Import Microsoft Project data into a Gantt chart or timeline

If you have Microsoft Project data that you want to use to create a Gantt chart or timeline, you can use the Import Project Data Wizard.

Note To import data from Microsoft Project, you must have Project 2000 or later installed on your machine.

Click to show or hide information. Import a Microsoft Project (.mpp) file

  1. On the Tools menu, point to Macros, point to Project Schedule, and then click Import Project Data Wizard.
  2. On the first wizard page, click Information that's already stored in a file.
  3. On the next wizard page, under Select the format of your project data, click Microsoft Project File, and then click Next.
  4. On the next wizard page, click Browse to locate the Project file from which you want to create a Gantt chart or timeline. Select the file, click Open, and then click Next.
  5. On the next wizard page, choose whether you want to create a Gantt chart or timeline drawing, and then click Next.
  6. Follow the wizard pages to create your Gantt chart or timeline.

Click to show or hide information. Import a text or Microsoft Excel file created from Project data

  1. In Microsoft Project, open your project file.
  2. On the Tools menu in Microsoft Project, click Options.
  3. Click the View tab. In the Date format list, make sure the date format selected is one of the first five in the list, and then click OK.
  4. In Microsoft Project, on the File menu, click Save As, and then for Save As Type, choose the file format you want (*.xls, *.txt, or *.csv), and then click Save.
  5. In the Export Mapping dialog box, choose one of the following:
  • Default task information Contains only the following fields, which are all mapped automatically in the Microsoft Visio Import Project Data Wizard: ID, Task_Name, Duration, Start_Date, Finish_Date, Predecessors, Resource_Names.
  • Task "Export Table" map Contains more fields than Default task information, but some fields, such as Percent Complete, may not be mapped automatically in the Microsoft Visio Import Project Data Wizard.
  6. Click Save.
  7. In Microsoft Visio, on the Tools menu, point to Macros, point to Project Schedule, and then click Import Project Data Wizard.
  8. On the first wizard page, click Information that's already stored in a file.
  9. Follow the wizard pages to create your Gantt chart or timeline.


Create a text or Microsoft Excel data file from which to generate a Gantt chart

  1. On the File menu, point to New, point to Project Schedule, and then click Gantt Chart. In the Gantt Chart Options dialog box, click Cancel.
  2. On the Gantt Chart menu, click Import.
  3. On the first wizard page, click Information that I enter using the wizard, and then click Next.
  4. On the second wizard page, click the format you want for your data, and then type a name for the new data file. Click Browse to locate the folder to which you want to save the file, click Save, and then click Next.

Note The Microsoft Excel format option is available only if Excel 95 or later is installed on your machine.

  5. Type over the sample text in the Excel or text file template that opens, save the file, and then exit it to return to the wizard.
  6. Follow the remaining wizard pages to create a Gantt chart from your data file.


Add tasks to the bottom of a Gantt chart

  1. Select the project frame by clicking the solid line that surrounds the Gantt chart.
  2. Drag down the green selection handle [image] at the lower center of the frame. New task rows are created to fill the space.
  3. Click the Task Name cell for one of the new tasks, and then type the task name.


Insert a Gantt chart task between two existing tasks

  1. Select a cell in the row that will follow the new row.
  2. On the Gantt Chart menu, click New Task.
  3. Click the new cell under Task Name, and then type the task name.

Click to show or hide information. Tip

You can also insert a task by dragging a Task bar shape from the Gantt Chart Shapes stencil and dropping it onto the Gantt chart, between the tasks where you want the new task inserted.


Delete a Gantt chart task

Select any cell in the row that represents the task you want to delete, or select the task bar itself. On the Gantt Chart menu, click Delete Task.

Click to show or hide information. Tips

  • If the task you're deleting is a summary task, you can choose whether to delete all the subtasks associated with the summary task or not.
  • You can also delete a Gantt chart task by dragging a part of the task row outside the Gantt chart frame. If it is not dragged onto another Gantt chart, it will disappear.


Reorder Gantt chart tasks

  1. In your Gantt chart, under Task Name, select the cell of the task you want to reorder.
  2. Drag the cell to a new location in the Task Name column, and then release the mouse button.


Change the name of a Gantt chart task

In your Gantt chart, under Task Name, click the cell that contains the task you want to rename, and then type.


Change the start or finish date of a Gantt chart task

In your Gantt chart, click the cell that contains the date you want to change, and then type the new date.

Note You cannot edit the date for a summary task. Summary task dates change only when you change the date of one or more of the tasks indented below the summary task.

Click to show or hide information. Tip

You can also change the start date by dragging the task bar so that its left end aligns with a new date on the timescale.


Add a new milestone to a Gantt chart

  1. From the Gantt Chart Shapes stencil, drag a Milestone shape onto the drawing page and position it between the tasks you want the milestone to precede and follow.

Note When you add a Milestone shape to a Gantt chart, you also automatically add a task row with a duration of 0 (zero).

  2. Type a name and date for the milestone.

Click to show or hide information. Tip

You can change a task into a milestone by setting its duration to 0. Similarly, you can change a milestone into a task by setting the duration to a positive number.


Convert an existing Gantt chart task to a milestone

Type a duration of 0 (zero) in the Duration column of the row representing the task you want to convert to a milestone.

Click to show or hide information. Tip

You can also convert an existing task bar to a milestone by dragging the green selection handle [image] on the right side of the task bar to the left as far as it can go.


Set dependencies between Gantt chart tasks

  1. Click to select the task bar or milestone you want to link from first, then SHIFT+click to select the shape you want to be the dependent task or milestone.
  2. Right-click one of the shapes, and then click Link Tasks.

Click to show or hide information. Tips

You can also set dependencies in the following ways:

  • Select two task bars (or task cells), and then click the Link Tasks button [image] on the Gantt Chart toolbar.
  • Select two task bars (or task cells), and then on the Gantt Chart menu, click Link Tasks.
  • Drag the control handle [image] on the right end of one task bar and glue it to a connection point [image] on the left end of the subsequent task bar.
  • Drag a Link Lines shape onto the drawing page and glue its endpoints [image] [image] to connection points [image] on two task bars.


Add a percent complete indicator to a task bar in a Gantt chart

  1. In a Gantt chart, select the column to the left of where you want the percent complete column to appear.
  2. On the Gantt Chart menu, click Insert Column.
  3. In the Column type list, click % Complete, and then click OK.
  4. Select a cell in the % Complete column, and then type the percentage of a task that has been completed.

A percent complete indicator appears in the task bar.

Click to show or hide information. Tip

You can also display and adjust a percent complete indicator on a task bar by dragging the control handle [image] on the left end of the task bar toward the right end.


Create a summary task in a Gantt chart

  1. Select the tasks you want to be subordinate to another task. To select multiple tasks, hold down the SHIFT key while you select.
  2. On the Gantt Chart menu, click Indent.

Notes

  • A task that has one or more subordinate tasks below it is called a summary task.
  • The start date and finish dates of a summary task are determined by the first start date and the last finish date of its subordinate tasks. Subsequent changes to dates in subordinate tasks are updated to the date of the summary task. The date for the summary task is not editable.
  • If you delete a summary task, you can choose whether to delete all the subtasks associated with the summary task or not.


Change timescale dates or units in a Gantt chart

  1. In a Gantt chart, right-click any part of the timescale, and then click Date Options.
  2. Choose the options you want, and then click OK.

Click to show or hide information. Tip

You can also change the dates or units in the Options dialog box. On the Gantt chart menu, click Options, and then make your changes.


Set the non-working days in a Gantt chart

  1. In a Gantt chart, right-click any part of the timescale, and then click Configure Working Time.
  2. Choose the options you want, and then click OK.


Insert a data column in a Gantt chart

  1. In a Gantt chart, click the column heading to the right of where you want the new column to appear.
  2. On the Gantt Chart menu, click Insert Column.
  3. In the Column type list, choose the type of data you want the column to include, or choose a User-Defined column, and then click OK.


Hide a data column in a Gantt chart

  1. In a Gantt chart, click the column heading of the column you want to hide.
  2. On the Gantt Chart menu, click Hide Column.

Notes

  • If you hide a column in your Gantt chart, you can display it again with the data preserved. Right-click the column to the right of where you want the hidden column to reappear, and then click Insert Column. In the Column type list, click the column type you previously hid, and then click OK.
  • You cannot hide the ID column in your Gantt chart.


Move a data column in a Gantt chart

  1. In a Gantt chart, click the column heading of the column you want to move.
  2. Drag the column to its new location.

Click to show or hide information. Move a column to the left of another column

Position the midpoint of the column you're moving to the left of the midpoint of the other column.

Click to show or hide information. Move a column to the right of another column

Position the midpoint of the column you're moving to the right of the midpoint of the other column.

Click to show or hide information. Move a column to the right of the timescale region

Position the midpoint of the column you're moving to the right of the midpoint of timescale region.

Note If you move any column (except the ID column) outside of the Gantt chart frame, it is removed from the drawing.


Break dependencies between Gantt chart tasks

  1. Select the task bars and milestones with dependencies you want to break.
  2. Right-click one of the shapes, and then click Unlink Tasks.

Click to show or hide information. Tips

You can also break dependencies in the following ways:

  • Select two task bars (or task cells), and then click the Unlink Tasks button [image] on the Gantt Chart toolbar.
  • Select two task bars (or task cells), and then on the Gantt Chart menu, click Unlink Tasks.
  • Click the link line that connects the task bars, and then press the DELETE key.


Change the style of Gantt chart dependency arrows

In a Gantt chart, right-click the drawing page, and then click S Type Connectors to change the style of all the dependency arrows in the chart.


Outdent a task in a Gantt chart

In a Gantt chart, right-click any cell (or the task bar) in the row that represents the task you want to outdent, and then click Outdent on the shortcut menu.

You can also outdent a subordinate task by selecting the row that represents the task, and then doing one of the following:

  • Click the Outdent button [image] on the Gantt Chart toolbar.
  • On the Gantt Chart menu, click Outdent.

Click to show or hide information. Tip

You can quickly change outline levels for multiple tasks in your chart by adding an outline level column to your chart, and then changing the number in the column. Select a column, and then choose Insert Column. Click Outline level, and then click OK.


Indent a task in a Gantt chart

In a Gantt chart, right-click any cell (or the task bar) in the row that represents the task you want to indent, and then click Indent on the shortcut menu.

You can also indent a task by selecting the row that represents the task, and then doing one of the following:

  • Click the Indent button [image] on the Gantt Chart toolbar.
  • On the Gantt Chart menu, click Indent.

Click to show or hide information. Tip

You can quickly change outline levels for multiple tasks in your chart by adding an outline level column to your chart, and then changing the number in the column. Select a column, and then choose Insert Column. Click Outline level, and then click OK.


Change task bar and milestone appearance in a Gantt chart

  1. In a Gantt chart, right-click a task bar or milestone shape, and then click Task Options.
  2. Choose the options you want, and then click OK.


Scroll the timescale to display earlier or later dates in a Gantt chart

Right-click any part of the timescale at the top of a Gantt chart, and then click the Scroll command you want.


Scroll the timescale to a particular Gantt chart task or milestone

  1. In a Gantt chart, select the Task Name cell for the task bar you want to locate.
  2. On the Gantt Chart toolbar, click the Scroll To Task button [image].


Extend the timescale and display more dates in a Gantt chart

  1. Select the Gantt chart frame by clicking on the solid line that surrounds your Gantt chart.
  2. Drag the green selection handle [image] at the right-center of the frame. The frame extends and more timescale units display.


Export the schedule data from a Gantt chart

  1. Open the Gantt chart containing the schedule data you want to export, and then click the outside border of the Gantt chart to select it.

Note You can export only one Gantt chart at a time. If you have more than one Gantt chart on the drawing page, select only the chart you want to export.

  2. On the Gantt Chart menu, click Export.
  3. On the first wizard page, choose the file format you want, and then click Next.
  4. On the second wizard page, type a file name, click Browse, and then locate the folder where you want to save your project data. Select the folder, and then click Save.
  5. Click Next, and then click Finish to export your project data.

Notes

  • To export data to Microsoft Project, you must have Project 2000 or later installed on your machine.
  • To export data to Microsoft Excel, you must have Excel 95 or later installed on your machine.


Add a blank separator row between tasks in a Gantt chart

  1. Right-click the Task Name cell below where you want the blank separator row to appear.
  2. On the shortcut menu, click New Task. A blank task row is added to the Gantt chart.

Click to show or hide information. Tip

You can also drag a Row shape from the Gantt Chart Shapes stencil to the location you want on your chart.


Add a legend to a Gantt chart

  1. From the Gantt Chart Shapes stencil, drag a Legend shape onto the drawing page and position it on the chart.
  2. Subselect areas within the shape, and then type the text you want.

Click to show or hide information. Tip

You can also add a date field to the legend that updates automatically to reflect the current date, the creation date, or the last date that the Gantt chart was revised.

To add a date field, select the legend, and then click to subselect the area of the shape where you want the field to appear. On the Insert menu, click Field. Under Category, select Date/Time; under Field, select the type of date you want; and under Format, select the format in which you want the date to appear.


Change the duration of a Gantt chart task

In your Gantt chart, click the cell that contains the duration you want to change, and then type the new duration. Use the following abbreviations: m for minutes, h for hours, d for days, and w for weeks.

Note Don't add a space between the number and the abbreviation. For example, to indicate a duration of 5 days, type 5d.

Click to show or hide information. Tip

You can also change a duration by selecting the task bar, and then dragging the green selection handle [image] on the right end of the task bar until it aligns with a new end date on the timescale.


Convert a Gantt chart to a timeline

  1. Open the Gantt chart you want to convert to a timeline, and then click the outside border of the Gantt chart to select it.
  2. On the Gantt Chart menu, click Export.
  3. On the first wizard page, under Export my project data into the following format, click Microsoft Visio Timeline drawing, and then click Next.
  4. Follow the wizard pages to have the wizard convert your Gantt chart to a timeline drawing.

Note The converted timeline drawing you created opens in a separate Visio drawing file.